Page MenuHomePhabricator

Use formatter for claim diffs
Closed, ResolvedPublic

Description

Now that we have an item formatter class, there are uses for it in various places in the code.

Claim diffs is one specific place that needs it and get rid of duplicate code there.


Version: master
Severity: normal

Details

Reference
bz46366

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:33 AM
bzimport set Reference to bz46366.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Mar 20 2013, 2:44 PM

Change 79332 had a related patch set uploaded by Tobias Gritschacher:
Register StringFormatter

https://gerrit.wikimedia.org/r/79332

Change 79332 merged by jenkins-bot:
Register StringFormatter

https://gerrit.wikimedia.org/r/79332

still a lot work to be done here..

This bug appears to be about ClaimDifferenceVisualizer::getSnakValue

Change 83091 had a related patch set uploaded by Daniel Kinzler:
(bug 46366) Use SnakFormatter for diffs and summaries

https://gerrit.wikimedia.org/r/83091

Change 83091 merged by jenkins-bot:
(bug 46366) Use SnakFormatter for diffs and summaries

https://gerrit.wikimedia.org/r/83091

Change 84477 had a related patch set uploaded by Aude:
I am not sure if/why this patch is a problem for travis, but let's see if this makes travis happy

https://gerrit.wikimedia.org/r/84477

Change 84477 merged by jenkins-bot:
Revert "(bug 46366) Use SnakFormatter for diffs and summaries"

https://gerrit.wikimedia.org/r/84477

Change 84478 had a related patch set uploaded by Aude:
Revert "Revert "(bug 46366) Use SnakFormatter for diffs and summaries""

https://gerrit.wikimedia.org/r/84478

Change 84492 had a related patch set (by Tobias Gritschacher) published:
(bug 46366) Use SnakFormatter for summaries

https://gerrit.wikimedia.org/r/84492

Change 84496 had a related patch set uploaded by Tobias Gritschacher:
(bug 46366) Use SnakFormatter for diffs

https://gerrit.wikimedia.org/r/84496

Change 84496 merged by Tobias Gritschacher:
(bug 46366) Use SnakFormatter for diffs

https://gerrit.wikimedia.org/r/84496

Change 84492 merged by Tobias Gritschacher:
(bug 46366) Use SnakFormatter for summaries

https://gerrit.wikimedia.org/r/84492

Change 84478 abandoned by Aude:
Revert "Revert "(bug 46366) Use SnakFormatter for diffs and summaries""

https://gerrit.wikimedia.org/r/84478

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 5:58 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript